> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/runes/search-runes.md).

# Search Runes

Search existing Runes by name, order results by name or by etching block + index.

## GET /v1/runes

> Search for runes by name.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes":{"get":{"tags":["Ordinals","Runes"],"description":"Search for runes by name.","parameters":[{"schema":{"minLength":1,"type":"string"},"in":"query","name":"startingWith","required":true,"description":"Search for runes starting with this string"},{"schema":{"enum":["runeName","etch"],"default":"runeName","type":"string"},"in":"query","name":"sortBy","required":false,"description":"* `runeName` - sort by rune name ascending\n* `etch` - sort by etching order block_height, rune_etch_index ascending"},{"schema":{"minimum":0,"default":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":5,"minimum":1,"maximum":10,"type":"number"},"in":"query","name":"limit","required":false}],"responses":{"200":{"description":"Search results for runes","content":{"application/json":{"schema":{"description":"Search results for runes","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"runeId":{"type":"string"},"runeName":{"type":"string"},"symbol":{"type":"string"},"divisibility":{"type":"number"}},"required":["runeId","runeName","symbol"]}},"offset":{"type":"number"},"limit":{"type":"number"}},"required":["items","offset","limit"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xverse.app/api/runes/search-runes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
